SDL_GPUDepthStencilState Struct Reference

`#include <SDL_gpu.h>`

Collaboration diagram for SDL_GPUDepthStencilState:
[legend]

## Data Fields

SDL_GPUCompareOp | compare_op
SDL_GPUStencilOpState | back_stencil_state
SDL_GPUStencilOpState | front_stencil_state
Uint8 | compare_mask
Uint8 | write_mask
bool | enable_depth_test
bool | enable_depth_write
bool | enable_stencil_test
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3

## Detailed Description

A structure specifying the parameters of the graphics pipeline depth stencil state.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GPUGraphicsPipelineCreateInfo

Definition at line 1876 of file SDL_gpu.h.

## Field Documentation

## back_stencil_state

SDL_GPUStencilOpState SDL_GPUDepthStencilState::back_stencil_state

The stencil op state for back-facing triangles.

Definition at line 1879 of file SDL_gpu.h.

## compare_mask

Uint8 SDL_GPUDepthStencilState::compare_mask

Selects the bits of the stencil values participating in the stencil test.

Definition at line 1881 of file SDL_gpu.h.

## compare_op

SDL_GPUCompareOp SDL_GPUDepthStencilState::compare_op

The comparison operator used for depth testing.

Definition at line 1878 of file SDL_gpu.h.

## enable_depth_test

bool SDL_GPUDepthStencilState::enable_depth_test

true enables the depth test.

Definition at line 1883 of file SDL_gpu.h.

## enable_depth_write

bool SDL_GPUDepthStencilState::enable_depth_write

true enables depth writes. Depth writes are always disabled when enable_depth_test is false.

Definition at line 1884 of file SDL_gpu.h.

## enable_stencil_test

bool SDL_GPUDepthStencilState::enable_stencil_test

true enables the stencil test.

Definition at line 1885 of file SDL_gpu.h.

## front_stencil_state

SDL_GPUStencilOpState SDL_GPUDepthStencilState::front_stencil_state

The stencil op state for front-facing triangles.

Definition at line 1880 of file SDL_gpu.h.

## padding1

Uint8 SDL_GPUDepthStencilState::padding1

Definition at line 1886 of file SDL_gpu.h.

## padding2

Uint8 SDL_GPUDepthStencilState::padding2

Definition at line 1887 of file SDL_gpu.h.

## padding3

Uint8 SDL_GPUDepthStencilState::padding3

Definition at line 1888 of file SDL_gpu.h.

## write_mask

Uint8 SDL_GPUDepthStencilState::write_mask

Selects the bits of the stencil values updated by the stencil test.

Definition at line 1882 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h